summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author skaendo <skaendo at excite dot com>2017-05-05 11:30:31 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-05-06 07:03:46 +0700
commitedef3953b84aa76fc4f8dd3e43958159d52c9888 (patch)
tree97202567d705fdcb013a9c0726b1ad4f1a1966f1
parent6551438cc561570cfbe5f1a568633036f8e78cc0 (diff)
downloadslackbuilds-edef3953b84aa76fc4f8dd3e43958159d52c9888.tar.gz
slackbuilds-edef3953b84aa76fc4f8dd3e43958159d52c9888.tar.xz
network/slimjet: Updated for version 14.0.5.0.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--network/slimjet/README10
-rw-r--r--network/slimjet/doinst.sh7
-rw-r--r--network/slimjet/slimjet.SlackBuild21
-rw-r--r--network/slimjet/slimjet.desktop4
-rw-r--r--network/slimjet/slimjet.info6
5 files changed, 23 insertions, 25 deletions
diff --git a/network/slimjet/README b/network/slimjet/README
index d878524aa96..3741d6eeca5 100644
--- a/network/slimjet/README
+++ b/network/slimjet/README
@@ -1,3 +1,5 @@
+slimjet (Chromium based web browser)
+
Slimjet is built on top of the Chromium open-source project on which
Google Chrome is also based. It enjoys the same speed and reliablity
provided by the underlying blink engine as Google Chrome. However, many
@@ -13,11 +15,9 @@ Google Chrome available from the Chrome web store.
This SlackBuild does NOT attempt to compile slimjet from source, it
only repackages the binaries that are provided by the developers.
-This SlackBuild can also be incorrect from time to time due to the
-developers release scheme and how they don't number their releases, yet
-they archive them in numbered directories AFTER the next update is
-released. If this occurs, you will have the latest release, but it will
-be numbered wrong.
+The MD5SUM and VERSION numbers may be incorrect from time to time due
+to the developers' release scheme. If this occurs, you will have the
+latest release, but it will be numbered incorrectly.
NOTE: Run the wrapper script "flashpeak-slimjet" from the terminal for
the first time to enable the sand box (admin access required). After
diff --git a/network/slimjet/doinst.sh b/network/slimjet/doinst.sh
index 696d35bad7e..65c7e2eeb9a 100644
--- a/network/slimjet/doinst.sh
+++ b/network/slimjet/doinst.sh
@@ -1,4 +1,9 @@
-
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/slimjet/slimjet.SlackBuild b/network/slimjet/slimjet.SlackBuild
index 1fe4cfde01d..4e696e08ea7 100644
--- a/network/slimjet/slimjet.SlackBuild
+++ b/network/slimjet/slimjet.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Slackware build script for slimjet
-# Copyright 2017 skaendo <skaendo at excite dot com>
+# Copyright 2017 Ed Ender <skaendo at excite dot com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=slimjet
-VERSION=${VERSION:-14.0.2.0}
+VERSION=${VERSION:-14.0.5.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -39,22 +39,13 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
- SRCARCH=i386
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
+if [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
SRCARCH=i386
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
SRCARCH=amd64
else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
- SRCARCH=i386
+ echo "$ARCH is not supported."
+ exit 1
fi
set -e
@@ -112,11 +103,13 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a license.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/README > $PKG/install/README
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/slimjet/slimjet.desktop b/network/slimjet/slimjet.desktop
index c69faf6d873..49a73ad3d23 100644
--- a/network/slimjet/slimjet.desktop
+++ b/network/slimjet/slimjet.desktop
@@ -115,7 +115,7 @@ X-Ayatana-Desktop-Shortcuts=NewWindow;NewIncognito
Name[en_US]=Slimjet Web Browser
-[NewWindow Shortcut Group]
+[X-NewWindow Shortcut Group]
Name=New Window
Name[am]=አዲስ መስኮት
Name[ar]=نافذة جديدة
@@ -170,7 +170,7 @@ Name[zh_TW]=開新視窗
Exec=/usr/bin/flashpeak-slimjet
TargetEnvironment=Unity
-[NewIncognito Shortcut Group]
+[X-NewIncognito Shortcut Group]
Name=New Incognito Window
Name[ar]=نافذة جديدة للتصفح المتخفي
Name[bg]=Нов прозорец „инкогнито“
diff --git a/network/slimjet/slimjet.info b/network/slimjet/slimjet.info
index 62f8af7db64..79520e31718 100644
--- a/network/slimjet/slimjet.info
+++ b/network/slimjet/slimjet.info
@@ -1,10 +1,10 @@
PRGNAM="slimjet"
-VERSION="14.0.2.0"
+VERSION="14.0.5.0"
HOMEPAGE="https://www.slimjet.com"
DOWNLOAD="https://www.slimjetbrowser.com/release/slimjet_i386.tar.xz"
-MD5SUM="0b1afb554f5fb838f05518f04b50da0c"
+MD5SUM="ef7adda43e34918202bda5734a5d9f15"
DOWNLOAD_x86_64="https://www.slimjetbrowser.com/release/slimjet_amd64.tar.xz"
-MD5SUM_x86_64="4afc4e5d6090cc7302f394d897f50274"
+MD5SUM_x86_64="e3d99e8a15a171a779373baa8d5f14df"
REQUIRES=""
MAINTAINER="skaendo"
EMAIL="skaendo at excite dot com"